Skip to main content
PATCH
/
products
/
{id}
Update a product
curl --request PATCH \
  --url https://app.paperlink.online/api/v1/products/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "unitPrice": 1,
  "currency": "<string>",
  "description": "<string>",
  "sku": "<string>",
  "taxRate": 50,
  "type": "<string>",
  "unitOfMeasure": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "unitPrice": 123,
    "currency": "<string>",
    "description": "<string>",
    "sku": "<string>",
    "taxRate": 123,
    "type": "<string>",
    "unitOfMeasure": "<string>",
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.paperlink.online/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from Settings > Integrations > API Keys

Headers

Idempotency-Key
string

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Maximum string length: 255
unitPrice
number
Required range: x >= 0
currency
string
Required string length: 3
description
string | null
Maximum string length: 2000
sku
string | null
Maximum string length: 100
taxRate
number | null
Required range: 0 <= x <= 100
type
string
Maximum string length: 50
unitOfMeasure
string
Maximum string length: 50

Response

Product updated

data
object